	;data for the various game modes...

	;the last one is attract mode, not shown on the title screen
	;hence the commented 8th bytes in some groups

mode_pl_cx:
	.byte %10000000
	.byte 0
	.byte %10000000
	.byte %10000000			;modes 3 and 7 are 1-player, so their values don't matter in this group
	.byte %10000000
	.byte 0
	.byte %10000000
	;.byte %10000000

mode_title_p0x:
	.byte sxoffset+80-(8*2)
	.byte sxoffset+80-(8*2)
	.byte sxoffset+80-(8*2)
	.byte sxoffset+80-(8/2)
	.byte sxoffset+80-(8*2)
	.byte sxoffset+80-(8*2)
	.byte sxoffset+80-(8*2)
	;.byte sxoffset+80-(8*2)

mode_title_icon:
	.byte <blank
	.byte <icon_arrows
	.byte <icon_eye
	.byte <blank
	.byte <blank
	.byte <icon_arrows
	.byte <icon_eye
	;.byte <blank

mode_title_p1animbase:
	.byte 16
	.byte 16
	.byte 16
	.byte 8
	.byte 0
	.byte 0
	.byte 0
	;.byte 16

mode_power_transform equ *-3
	;.byte 0		;overlapping data...
	;.byte 0
	;.byte 0
	.byte 1
	.byte 0
	.byte 0
	.byte 0
	.byte 1

mode_alt_bg equ *-3
	;.byte 0
	;.byte 0
	;.byte 1
	.byte 0
	.byte 0
	.byte 0
	.byte 1
	.byte 0

mode_p1starty:
	.byte mainlines
	.byte mainlines
	.byte mainlines
	.byte deadline
	.byte mainlines
	.byte mainlines
	.byte mainlines
	.byte mainlines

mode_p0starty equ *-4
	;.byte mainlines
	;.byte mainlines
	;.byte mainlines
	;.byte mainlines
	.byte mainlines
	.byte mainlines
	.byte mainlines
	.byte deadline

mode_p1_ai_input equ *-3
	;.byte 1			;any non-zero value will work
	;.byte 1
	;.byte 1
	.byte 0
	.byte 0
	.byte 0
	.byte 0
	.byte 1



jump_table:
	.byte -10
	.byte -15
	.byte -20
	.byte -25
	.byte -30
	.byte -35
	.byte -40



plgfxtable:
	.byte <plgfx2
	.byte <plgfx3
	.byte <plgfx0
	.byte <plgfx1

	;plgfxtable needs 4-byte gaps in it, so we can put other stuff there...
power_states equ *-1
	.byte state_fast
	.byte state_break
	.byte state_wayfast
	.byte state_swap

	;resuming plgfxtable...
	.byte <blank
	.byte <blank
	.byte <blank
	.byte <blank

durations equ *-1
	.byte 12
	.byte 1
	.byte 25
	.byte 5

	;resuming plgfxtable...
	.byte <chip
	.byte <chip
	.byte <chip
	.byte <chip

plgfxtable_msb:
	.byte >plgfx2
	.byte >plgfx3
	.byte >plgfx0
	.byte >plgfx1

reincarnation_x:
	.byte pxoffset
	.byte 160-playerwidth+pxoffset
reincarnation_dx:
	.byte 120
	.byte -120

	.byte >blank
	.byte >blank
	.byte >blank
	.byte >blank

plat_heights:
	.byte 0
	.byte platinterval
	.byte platinterval*2
	.byte platinterval*3

	.byte >chip
	.byte >chip
	.byte >chip
	.byte >chip


holedata:
	.byte %11000000
	.byte %00110011			;duplicate holes into unused bits - simplifies check_line
	.byte %11001100
	.byte %11000000
	.byte %00110000
	.byte %00001100
	.byte %00000011
	.byte %00000011
	.byte %00001100
	.byte %00110000
	.byte %11000000
	.byte %00110011
	.byte %11001100
	.byte %11000000
	.byte %00110000
	.byte %00001100
	.byte %00000011
	.byte %00000011
	.byte %00001100
	.byte %00110000
	.byte %11000000
	.byte %00110011			;one extra for when the player wraps around the screen

holeoffsets:
	.byte 9
	.byte 4
	.byte 4
	.byte 5
	.byte 5
	.byte 5
	.byte 5
	.byte 6
	.byte 6
	.byte 6
	.byte 6
	.byte 7
	.byte 7
	.byte 8
	.byte 8
	.byte 8
	.byte 8
	.byte 9
	.byte 9
	.byte 9
	.byte 9
	.byte 4