do_sound: subroutine
	sta WSYNC
	sta HMOVE					;3		well, where would you have put it?

	ldx sound					;3
	ldy sound_request_high		;3
	bne .newsound				;2/3
		ldy sound_request_low	;3
		beq .playsound			;2/3
.newsound:	
	lda sound_priorities,y		;4
	cmp sound_priorities,x		;4
	bcc .playsound				;2/3

		sty sound				;3 = 24
		lda sound_subsounds,y	;4
		asl						;2
		sta subsound			;3
		lda #1					;2
		sta sound_timer			;3
		tya						;2
		tax						;2 = 42

.playsound:
	lda sound_data_lsb,x		;4
	sta scratch					;3
	lda #>sound_start			;2
	sta scratch+1				;3

	ldy subsound				;3

	ldx sound_timer				;3
	dex							;2
	stx sound_timer				;3 = 65 max
	sta WSYNC
	bne .continue				;2/3

		dey						;2
		bmi .endsound			;2/3

		lda (scratch),y
		sta AUDC0
		lsr
		lsr
		lsr
		lsr
		sta AUDV0
		dey
		lda (scratch),y
		sta AUDF0
		sty subsound
		lsr
		lsr
		lsr
		lsr
		clc
		adc #2
		sta sound_timer

.continue:
	sta WSYNC
	rts


.endsound
	iny							;was -1
	sty subsound
	sty sound
	sty AUDV0
	beq .continue